Lavalite package that provides gift management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `3454/gift`.

    "3454/gift": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    3454\Gift\Providers\GiftServiceProvider::class,

And also add it to alias

    'Gift'  => 3454\Gift\Facades\Gift::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=3454\\Gift\\Seeds\\GiftTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="3454\Gift\Providers\GiftServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="3454\Gift\Providers\GiftServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="3454\Gift\Providers\GiftServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/gift/{modulename}

**User**

    http://path-to-route-folder/user/gift/{modulename}

**Public**

    http://path-to-route-folder/gifts


### API endpoints

**List**

    http://path-to-route-folder/api/user/gift/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/gift/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/gift/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/gift/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/gift/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/gift/{modulename}/{slug}
    METHOD: GET